## org.hibernate.dialect.resolver
Class BasicSQLExceptionConverter

    java.lang.Object
      org.hibernate.dialect.resolver.BasicSQLExceptionConverter

    public class BasicSQLExceptionConverter

extends Object

A helper to centralize conversion of `SQLException`s to `JDBCException`s.

Author:
  Steve Ebersole

Field Summary
`static BasicSQLExceptionConverter` `INSTANCE`
`static String` `MSG`

Constructor Summary
`BasicSQLExceptionConverter()`

Method Summary
`JDBCException` `convert(SQLException sqlException)` Perform a conversion.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final BasicSQLExceptionConverter INSTANCE

### MSG

    public static final String MSG

See Also:
  Constant Field Values

Constructor Detail

### BasicSQLExceptionConverter

    public BasicSQLExceptionConverter()

Method Detail

### convert

    public JDBCException convert(SQLException sqlException)

  Perform a conversion.

  Parameters:
    `sqlException` - The exception to convert.
  Returns:
    The converted exception.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.